Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Instances and minimal complete definitions | Public Types | Public Member Functions | List of all members
ranges::v3::action::reverse_fn Struct Reference

## Description

Reversed the source range in-place.

## Synopsis of methods
constexpr action< reverse_fn > | reverse {}

## Public Types
template<typename Rng >
using | Reversible = concepts::models< Reversible_, Rng >

## Public Member Functions
template<typename Rng , requires = (Reversible<Rng>())>
Rng | operator() (Rng &&rng) const